All of a sudden 0.3.10-0 doesn't work anymore?

Hello,

All of a sudden popcorn version doesn’t work anymore with the series?
Movie screen will not load, only in favorites?

New version update doesn’t work on my laptop.
Anyone know wat to do?

What laptop/OS?

It’s possible to patch your original 0.3.10 with the new API domain … if you don’t mind a bit of DIY?

Read some of the other posts (similar to yours) … see if any of them helps?

Thank you for responding.
I have a windows 10 laptop.
I’m not that smart with computers, but if there is a step by step, i should be able to work it out.
I was looking for a similar post, but i didn’t see it, but maybe i didn’t look good.

You’ve tried the latest 0.4.4 build from the official website then? If not … you might want to give it go?
Just download it from here: https://popcorntime.app/ . Might be useful, if you find patching you’re existing app too difficult?

Have you still got an original 0.3.10 version that hasn’t updated itself … or the original (compressed) download? Do you know what build is it … is it one of the Ci (Dev builds) or was it downloaded from the PT.sh website?

1 Like

I tried the download 0.4.4 from the official site, didn’t work, tried today.
I have the 0.3.10 downloaded from pt.sh website, i have done the update, but removed it because of the problem.
I have no idea what build is, sorry.

No problem!
We’ll try the patch … it’s just like a wooden Russian doll, (I’m using a Mac, but it should be the same).

First we need a new copy of 0.3.10 … one that hasn’t been updated?

Right click on the PT app and choose “Show Package Contents” > then open (in this order) > Contents > Resources > app.nw > node_modules > butter-settings-popcorntime.io > you should see 2 files … we’re going to swap the one called index.js.

Ok so far? I’m going to PM you a link for the replacement index.js file (I’ve changed the API for you, in the file). Just download the file and drag it into that window … it should say something like “do you want to replace or keep the older file” … obviously we want to replace it. Then just close everything up.

Couple of things:

  1. you should delete any old Popcorntime/Butter support/data folders/files before you open your new patched app. I’m hoping you know are they are (I’m a Mac user).
    It’s something like C:\user\username\appdata\local\Popcorn-Time … and maybe in appdata\local\temp\ … if it’s showing?

  2. If it tries to update … let me know and we’ll try to stop it (actually if you get it working we’ll do that later). For now - open the ‘Settings’ window and untick the “activate auto updating” option … you might have to tick “show advanced options” at the top of the window first?

1 Like

yes it is working again :slight_smile:
Thank you so much.
I did not ask for an update, let’s hope he keeps it up.

1 Like

Fingers crossed! …

But untick “activate auto update” (if you haven’t already) in ‘Settings’? It’s might help prevent it?

I’m having the same issue with version 3.10 and was going through your instructions until I saw you sent her the new file in a PM. Could you send it to me too, please? I’ve been having this issue since yesterday I really dislike the new version of PT.

http://www.filedropper.com/index_1

Hopefully you find it as straight forward as liana?

  1. Don’t forget to clean out those support/data folders?
  2. And untick the auto update option?
1 Like

It’s working now! I followed all the instructions and unticked the the auto update option too.

Thank you!

1 Like

Hi, where did you find the “show package contents” on your windows 10? I can’t find it anywhere.

I followed these instructions after a v.4 failure and they worked very well. Unfortunately the wretched software downloads v.4 whether i like it or not and even AFTER I disable auto update. Can anyone help please? I have a copy of the adjusted programme in a separate location so I just need to install 0.3.10 over the latest release (I’m on 10.10.5 Yosemite by the way). The point of course is that I shouldn’t have to do that. Thanks for any advice.

Not sure if I’m reading you right - but you can’t install 0.3.10 over 0.4.4 ? You would have to repeat the process you already did and then stop the patched version of 0.3.10 updating? You also need to delete the old “support” folders.

Or were you after something different?

Yes I see your point but either way there’s a problem with it auto-dating even though I turned off that particular function. 0.4.4 doesn’t work for me. I need to stop it installing. Thanks.

If you can be bothered to repeat the process of patching a fresh copy of 0.3.10 - I can give you an instruction to stop the patch updating. It’ll involve opening package contents and removing a file before you run it?

And don’t forget to delete these support folders (so they will be replaced by the new install)?
Delete these three Popcorn-Time (support) folders and the popcorn-time file from your user Library:

~/Library/Application Support/Popcorn-Time
~/Library/Cache/Popcorn-Time
~/Library/Saved Application State/com.nw-builder.popcorn-time.savedState
~/Library/Preferences/com.nw-builder.popcorn-time.plist

Which build of 0.3.10 did you use (I’d recommend #293).

Thanks. I’m no techie but I’ll try this and get back to you. Ready when you are. By the way I can’t find the build info, nor anywhere to download it, so if you could direct me to where I can obtain a copy I’d be grateful.

Just an edit to that a cursory search points to build 294 as the one for Mac, not 293, and also that people are sharing their copies because it’s nowhere available any more. And why does PT gives my IP address even though I’m running a (working) VPN? Odd.

Directions to the Mega link on the subreddit:

I’ve used both … #293 is the better (but you can use whatever you feel suits your needs!)

(cursory = hasty and not thorough?)

To be precise it’s giving your VPN’s address? It’s a bit clumsy … but you can turn it off in settings (so no bigee!)